Perma BC failure in browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0 - Gecko 64 merges to Beta on 2018-10-15

RESOLVED FIXED in Firefox 64

Status

()

defect
P5
normal
RESOLVED FIXED
7 months ago
7 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

unspecified
Firefox 64
Points:
---

Firefox Tracking Flags

(geckoview62 unaffected, firefox-esr60 unaffected, firefox62 unaffected, firefox63 unaffected, firefox64 fixed)

Details

(Reporter)

Description

7 months ago
treeherder
Filed by: dluca [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=202391040&repo=try

https://queue.taskcluster.net/v1/task/LpucpDRGSCqN5DaBZIFqmw/runs/0/artifacts/public/logs/live_backing.log

INFO - TEST-START | browser/base/content/test/static/browser_all_files_referenced.js
[task 2018-09-29T15:28:21.492Z] 15:28:21     INFO - TEST-INFO | started process screentopng
[task 2018-09-29T15:28:21.963Z] 15:28:21     INFO - TEST-INFO | screentopng: exit 0
[task 2018-09-29T15:28:21.964Z] 15:28:21     INFO - Buffered messages logged at 15:28:13
[task 2018-09-29T15:28:21.964Z] 15:28:21     INFO - Entering test bound checkAllTheFiles
[task 2018-09-29T15:28:21.964Z] 15:28:21     INFO - Buffered messages logged at 15:28:21
[task 2018-09-29T15:28:21.965Z] 15:28:21     INFO - indirectly whitelisted file: chrome://marionette/content/test_dialog.dtd used from chrome://marionette/content/test_dialog.xul
[task 2018-09-29T15:28:21.965Z] 15:28:21     INFO - indirectly whitelisted file: chrome://global-platform/locale/intl.properties used from resource://gre/greprefs.js
[task 2018-09-29T15:28:21.966Z] 15:28:21     INFO - indirectly whitelisted file: chrome://marionette/content/test.xul used from chrome://marionette/content/test_anonymous_content.xul
[task 2018-09-29T15:28:21.966Z] 15:28:21     INFO - indirectly whitelisted file: chrome://marionette/content/test_nested_iframe.xul used from chrome://marionette/content/test.xul
[task 2018-09-29T15:28:21.967Z] 15:28:21     INFO - indirectly whitelisted file: chrome://marionette/content/test2.xul used from chrome://marionette/content/test.xul,chrome://marionette/content/test_nested_iframe.xul
[task 2018-09-29T15:28:21.967Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/addonutils.js used from resource://services-sync/engines/addons.js
[task 2018-09-29T15:28:21.969Z] 15:28:21     INFO - indirectly whitelisted file: resource://gre/modules/Promise-backend.js used from resource://gre/modules/Promise.jsm,resource://devtools/shared/worker/loader.js,resource://devtools/shared/Loader.jsm
[task 2018-09-29T15:28:21.970Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/engines/clients.js used from resource://services-sync/service.js
[task 2018-09-29T15:28:21.972Z] 15:28:21     INFO - indirectly whitelisted file: chrome://pippki/content/resetpassword.js used from chrome://pippki/content/resetpassword.xul
[task 2018-09-29T15:28:21.977Z] 15:28:21     INFO - indirectly whitelisted file: chrome://global/content/accessibility/content-script.js used from resource://gre/modules/accessibility/AccessFu.jsm
[task 2018-09-29T15:28:21.977Z] 15:28:21     INFO - indirectly whitelisted file: chrome://global/content/remote-test-ipc.js used from chrome://global/content/test-ipc.xul
[task 2018-09-29T15:28:21.978Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/telemetry.js used from resource://services-sync/bookmark_repair.js,resource://services-sync/service.js
[task 2018-09-29T15:28:21.979Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/stages/enginesync.js used from resource://services-sync/service.js
[task 2018-09-29T15:28:21.986Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/addonsreconciler.js used from resource://services-sync/engines/addons.js
[task 2018-09-29T15:28:21.987Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/collection_validator.js used from resource://services-sync/engines/addons.js,resource://services-sync/engines/forms.js,resource://services-sync/engines/passwords.js
[task 2018-09-29T15:28:21.987Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/policies.js used from resource://services-sync/service.js
[task 2018-09-29T15:28:21.988Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/bookmark_validator.js used from resource://services-sync/engines/bookmarks.js
[task 2018-09-29T15:28:21.989Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/browserid_identity.js used from resource://services-sync/telemetry.js,resource://services-sync/status.js
[task 2018-09-29T15:28:21.990Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-common/tokenserverclient.js used from resource://services-sync/browserid_identity.js
[task 2018-09-29T15:28:21.993Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/status.js used from resource://services-sync/telemetry.js,resource://services-sync/policies.js,resource://services-sync/service.js
[task 2018-09-29T15:28:21.994Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/collection_repair.js used from resource://services-sync/engines/clients.js,resource://services-sync/bookmark_repair.js,resource://services-sync/doctor.js
[task 2018-09-29T15:28:21.996Z] 15:28:21     INFO - indirectly whitelisted file: resource://services-sync/stages/declined.js used from resource://services-sync/service.js
[task 2018-09-29T15:28:21.997Z] 15:28:21     INFO - indirectly whitelisted file: chrome://pippki/content/load_device.js used from chrome://pippki/content/load_device.xul
[task 2018-09-29T15:28:22.007Z] 15:28:22     INFO - indirectly whitelisted file: resource://services-sync/engines.js used from resource://services-sync/engines/clients.js,resource://services-sync/engines/addons.js,resource://services-sync/engines/forms.js,resource://services-sync/engines/history.js,resource://services-sync/engines/tabs.js,resource://services-sync/engines/bookmarks.js,resource://services-sync/engines/extension-storage.js,resource://services-sync/engines/passwords.js,resource://services-sync/engines/prefs.js,resource://services-sync/service.js,resource://formautofill/FormAutofillSync.jsm
[task 2018-09-29T15:28:22.009Z] 15:28:22     INFO - indirectly whitelisted file: resource://services-common/logmanager.js used from resource://services-sync/policies.js
[task 2018-09-29T15:28:22.011Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/EventManager.jsm used from chrome://global/content/accessibility/content-script.js
[task 2018-09-29T15:28:22.012Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/Http.jsm used from resource://app/modules/translation/GoogleTranslator.jsm,resource://app/modules/translation/YandexTranslator.jsm,resource://app/modules/translation/BingTranslator.jsm
[task 2018-09-29T15:28:22.013Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/Utils.jsm used from chrome://global/content/accessibility/content-script.js,resource://gre/modules/accessibility/Traversal.jsm,resource://gre/modules/accessibility/EventManager.jsm,resource://gre/modules/accessibility/Presentation.jsm,resource://gre/modules/accessibility/AccessFu.jsm,resource://gre/modules/accessibility/OutputGenerator.jsm,resource://gre/modules/accessibility/ContentControl.jsm
[task 2018-09-29T15:28:22.014Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/SyncedBookmarksMirror.jsm used from resource://services-sync/engines/bookmarks.js
[task 2018-09-29T15:28:22.020Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/Presentation.jsm used from resource://gre/modules/accessibility/EventManager.jsm,resource://gre/modules/accessibility/AccessFu.jsm,resource://gre/modules/accessibility/ContentControl.jsm
[task 2018-09-29T15:28:22.020Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/OutputGenerator.jsm used from resource://gre/modules/accessibility/Presentation.jsm
[task 2018-09-29T15:28:22.021Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/Constants.jsm used from chrome://global/content/accessibility/content-script.js,resource://gre/modules/accessibility/Traversal.jsm,resource://gre/modules/accessibility/EventManager.jsm,resource://gre/modules/accessibility/Utils.jsm,resource://gre/modules/accessibility/Presentation.jsm,resource://gre/modules/accessibility/OutputGenerator.jsm,resource://gre/modules/accessibility/ContentControl.jsm
[task 2018-09-29T15:28:22.022Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/ContentControl.jsm used from chrome://global/content/accessibility/content-script.js
[task 2018-09-29T15:28:22.023Z] 15:28:22     INFO - indirectly whitelisted file: chrome://passwordmgr/content/recipes.json used from resource://gre/greprefs.js
[task 2018-09-29T15:28:22.024Z] 15:28:22     INFO - indirectly whitelisted file: resource://formautofill/FormAutofillSync.jsm used from resource://services-sync/service.js
[task 2018-09-29T15:28:22.025Z] 15:28:22     INFO - indirectly whitelisted file: chrome://global/locale/AccessFu.properties used from resource://gre/modules/accessibility/Utils.jsm
[task 2018-09-29T15:28:22.028Z] 15:28:22     INFO - indirectly whitelisted file: resource://services-sync/bookmark_repair.js used from resource://services-sync/collection_repair.js
[task 2018-09-29T15:28:22.029Z] 15:28:22     INFO - indirectly whitelisted file: resource://services-sync/doctor.js used from resource://services-sync/bookmark_repair.js,resource://services-sync/stages/enginesync.js
[task 2018-09-29T15:28:22.032Z] 15:28:22     INFO - indirectly whitelisted file: resource://gre/modules/accessibility/Traversal.jsm used from resource://gre/modules/accessibility/ContentControl.jsm
[task 2018-09-29T15:28:22.033Z] 15:28:22     INFO - Buffered messages finished
[task 2018-09-29T15:28:22.034Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0
[task 2018-09-29T15:28:22.037Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.038Z] 15:28:22     INFO - chrome://mochikit/content/browser-test.js:test_is:1295
[task 2018-09-29T15:28:22.039Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:759
[task 2018-09-29T15:28:22.041Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.044Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-amex.png - 
[task 2018-09-29T15:28:22.044Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.046Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.047Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.048Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-amex@2x.png - 
[task 2018-09-29T15:28:22.050Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.051Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.055Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.057Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-cartebancaire.png - 
[task 2018-09-29T15:28:22.058Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.060Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.062Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.064Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-cartebancaire@2x.png - 
[task 2018-09-29T15:28:22.065Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.067Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.075Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.078Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-diners.svg - 
[task 2018-09-29T15:28:22.079Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.081Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.082Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.084Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-discover.png - 
[task 2018-09-29T15:28:22.086Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.087Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.090Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.092Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-discover@2x.png - 
[task 2018-09-29T15:28:22.096Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.097Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.100Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.103Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-jcb.svg - 
[task 2018-09-29T15:28:22.105Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.106Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.109Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.110Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-mastercard.svg - 
[task 2018-09-29T15:28:22.112Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.114Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.120Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.124Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-mir.svg - 
[task 2018-09-29T15:28:22.125Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.126Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.129Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.132Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-unionpay.svg - 
[task 2018-09-29T15:28:22.136Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.146Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.148Z] 15:28:22     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-29T15:28:22.149Z] 15:28:22     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/static/browser_all_files_referenced.js | unreferenced file: chrome://formautofill/content/third-party/cc-logo-visa.svg - 
[task 2018-09-29T15:28:22.160Z] 15:28:22     INFO - Stack trace:
[task 2018-09-29T15:28:22.162Z] 15:28:22     INFO - chrome://mochitests/content/browser/browser/base/content/test/static/browser_all_files_referenced.js:checkAllTheFiles:763
[task 2018-09-29T15:28:22.163Z] 15:28:22     INFO - ignored unused whitelist entry: resource://app/blocklist.xml
[task 2018-09-29T15:28:22.166Z] 15:28:22     INFO - ignored unused whitelist entry: resource://gre/gmp-clearkey/0.1/manifest.json
[task 2018-09-29T15:28:22.169Z] 15:28:22     INFO - ignored unused whitelist entry: resource://gre/res/test.properties
[task 2018-09-29T15:28:22.170Z] 15:28:22     INFO - missing file: resource://gre/modules/commonjs/toolkit/loader.js
[task 2018-09-29T15:28:22.172Z] 15:28:22     INFO - missing file: chrome://help/content/help.js referenced from chrome://pippki/content/protectedAuth.xul
[task 2018-09-29T15:28:22.173Z] 15:28:22     INFO - missing file: chrome://global/content/toolkit/about/aboutConfig.ftl referenced from chrome://global/content/config.xul
Central as beta sim 

https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed,busted,exception,usercancel,runnable&revision=6cad8194d251418b0c42731c741c25c1e38a74f0&selectedJob=202392180
Summary: Intermittent browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0 → Perma BC failure in browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0 - Gecko 64 merges to Beta on 2018-10-29
This is from bug 1477102. Sam, please have a look.
Blocks: 1477102
Component: General → WebPayments UI
Flags: needinfo?(sfoster)
Summary: Perma BC failure in browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0 - Gecko 64 merges to Beta on 2018-10-29 → Perma BC failure in browser/base/content/test/static/browser_all_files_referenced.js | there should be no unreferenced files - Got 12, expected 0 - Gecko 64 merges to Beta on 2018-10-15
Whiteboard: [webpayments] [triage]
Comment hidden (Intermittent Failures Robot)
These files are currently only referenced from browser/components/payments, which is limited to Nightly. 
However, we also want to use the same icons in the manage credit cards UI in formautofill preferences so implementing that might be the best way to kill 2 birds with one stone. I've filed bug 1495530 for this.
Flags: needinfo?(sfoster)
Comment hidden (Intermittent Failures Robot)
This should be fixed by bug 1495530. dluca, can you confirm?
Flags: needinfo?(dluca)
This bug is fixed. 

https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed,busted,exception,retry,runnable&revision=fffeabd4033a77e2fcf57c309aac91f63e1ba9f2&selectedJob=203414498&searchStr=bc
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Flags: needinfo?(dluca)
QA Contact: MattN+bmo
Resolution: --- → FIXED
Target Milestone: --- → Firefox 64
Whiteboard: [webpayments] [triage]
QA Contact: MattN+bmo
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.